package com.priusis.utils;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Platform;

public interface ICQrDecode extends Library {
    ICQrDecode INSTANCE = (ICQrDecode) Native.loadLibrary((Platform.isWindows() ? "msvcrt" : "c"), ICQrDecode.class);

    void printf(String format, Object... args);

    ICQrDecode instanceDll = (ICQrDecode) Native.loadLibrary("D:\\work\\priusis\\priusis-iot\\apq-iot\\apq-client\\apq-pc-control\\src\\main\\resources\\QrDecode.dll", ICQrDecode.class);

    public int hello(String str);

    public int ZOOYAPI_GetCode(String path, String qrString, int[] result);

    public int ZOOYAPI_GetCodeII(String path, String qrString, int[] result);

}
